WP1Listener Class Reference documentation

Public Member Functions | List of all members
WP1Listener Class Referenceabstract

`#include <WP1Listener.h>`

Inheritance diagram for WP1Listener:

## Public Member Functions
| WP1Listener ()
virtual | ~WP1Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertExtendedCharacter (unsigned char extendedCharacter)=0
virtual void | insertTab ()=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | insertNote (WPXNoteType noteType, WP1SubDocument *subDocument)=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | fontPointSize (unsigned char pointSize)=0
virtual void | fontId (unsigned short id)=0
virtual void | marginReset (unsigned short leftMargin, unsigned short rightMargin)=0
virtual void | topMarginSet (unsigned short topMargin)=0
virtual void | bottomMarginSet (unsigned short bottomMargin)=0
virtual void | leftIndent (unsigned short leftMarginOffset)=0
virtual void | leftRightIndent (unsigned short leftRightMarginOffset)=0
virtual void | leftMarginRelease (unsigned short release)=0
virtual void | setTabs (const std::vector< WPXTabStop > &tabStops)=0
virtual void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP1SubDocument > &subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | justificationChange (unsigned char justification)=0
virtual void | lineSpacingChange (unsigned char spacing)=0
virtual void | flushRightOn ()=0
virtual void | flushRightOff ()=0
virtual void | centerOn ()=0
virtual void | centerOff ()=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | insertPicture (unsigned short width, unsigned short height, const librevenge::RVNGBinaryData &binaryData)=0

## Constructor & Destructor Documentation

## ◆ WP1Listener()

WP1Listener::WP1Listener | ( |  | ) |

## ◆ ~WP1Listener()

virtual WP1Listener::~WP1Listener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ attributeChange()

virtual void WP1Listener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parseDocument().

## ◆ bottomMarginSet()

virtual void WP1Listener::bottomMarginSet | ( | unsigned short | bottomMargin | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1BottomMarginGroup::parse().

## ◆ centerOff()

virtual void WP1Listener::centerOff | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

## ◆ centerOn()

virtual void WP1Listener::centerOn | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1CenterTextGroup::parse().

## ◆ endDocument()

virtual void WP1Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parse().

## ◆ endSubDocument()

virtual void WP1Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

## ◆ flushRightOff()

virtual void WP1Listener::flushRightOff | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

## ◆ flushRightOn()

virtual void WP1Listener::flushRightOn | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1FlushRightGroup::parse().

## ◆ fontId()

virtual void WP1Listener::fontId | ( | unsigned short | id | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1FontIdGroup::parse().

## ◆ fontPointSize()

virtual void WP1Listener::fontPointSize | ( | unsigned char | pointSize | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1PointSizeGroup::parse().

## ◆ headerFooterGroup()

virtual void WP1Listener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP1SubDocument > & | subDocument
| ) |  |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1HeaderFooterGroup::parse().

## ◆ insertBreak()

virtual void WP1Listener::insertBreak | ( | unsigned char | breakType | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parseDocument().

## ◆ insertCharacter()

virtual void WP1Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parseDocument().

## ◆ insertEOL()

virtual void WP1Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parseDocument().

## ◆ insertExtendedCharacter()

virtual void WP1Listener::insertExtendedCharacter | ( | unsigned char | extendedCharacter | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1ExtendedCharacterGroup::parse().

## ◆ insertNote()

virtual void WP1Listener::insertNote | ( | WPXNoteType | noteType,
|  | WP1SubDocument * | subDocument
| ) |  |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1FootnoteEndnoteGroup::parse().

## ◆ insertPicture()

virtual void WP1Listener::insertPicture | ( | unsigned short | width,
|  | unsigned short | height,
|  | const librevenge::RVNGBinaryData & | binaryData
| ) |  |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1PictureGroup::parse().

## ◆ insertTab()

virtual void WP1Listener::insertTab | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parseDocument().

## ◆ justificationChange()

virtual void WP1Listener::justificationChange | ( | unsigned char | justification | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1JustificationGroup::parse().

## ◆ leftIndent()

virtual void WP1Listener::leftIndent | ( | unsigned short | leftMarginOffset | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1LeftIndentGroup::parse().

## ◆ leftMarginRelease()

virtual void WP1Listener::leftMarginRelease | ( | unsigned short | release | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1MarginReleaseGroup::parse().

## ◆ leftRightIndent()

virtual void WP1Listener::leftRightIndent | ( | unsigned short | leftRightMarginOffset | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1LeftRightIndentGroup::parse().

## ◆ lineSpacingChange()

virtual void WP1Listener::lineSpacingChange | ( | unsigned char | spacing | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1SpacingResetGroup::parse().

## ◆ marginReset()

virtual void WP1Listener::marginReset | ( | unsigned short | leftMargin,
|  | unsigned short | rightMargin
| ) |  |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1MarginResetGroup::parse().

## ◆ setTabs()

virtual void WP1Listener::setTabs | ( | const std::vector< WPXTabStop > & | tabStops | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1SetTabsGroup::parse().

## ◆ startDocument()

virtual void WP1Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1Parser::parse().

## ◆ startSubDocument()

virtual void WP1Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

## ◆ suppressPageCharacteristics()

virtual void WP1Listener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1SuppressPageCharacteristicsGroup::parse().

## ◆ topMarginSet()

virtual void WP1Listener::topMarginSet | ( | unsigned short | topMargin | ) |
| pure virtual

Implemented in WP1ContentListener, and WP1StylesListener.

Referenced by WP1TopMarginGroup::parse().

The documentation for this class was generated from the following files:

- WP1Listener.h
- WP1Listener.cpp